Class | ActiveRecord::Associations::ClassMethods::JoinDependency
In: | lib/active_record/associations.rb
Parent: | Object

### Methods

aliased_table_names_for build construct construct_association instantiate join_associations join_base new

### Classes and Modules

Class ActiveRecord::Associations::ClassMethods::JoinDependency::JoinAssociation
Class ActiveRecord::Associations::ClassMethods::JoinDependency::JoinBase

### Attributes

joins | [R] |
reflections | [R] |
table_aliases | [R] |

### Public Class methods

new(base, associations, joins)

### Public Instance methods

aliased_table_names_for(table_name)
instantiate(rows)
join_associations()
join_base()

### Protected Instance methods

build(associations, parent = nil)
construct(parent, associations, joins, row)
construct_association(record, join, row)

[Validate]